#ifndef _BASIC_VAR
#define _BASIC_VAR

/**
Var are on 24 bytes.
Each 4bits account for a digit.
1st digit is the sign :
	bit 1: 1 if number is has imaginary part
	bit 2: 1 if number is negative
	bit 3: 1 if number is less or equal to -1
	bit 4: ?
2nd and 3rd digits are the exponent. If exponent==99, then number is in ]-1,1[
The number start at the 3rd digit, and contains 15 digits max.
Use of 19th to 24th digits is unknow.
Imaginary part start at the 23th digit.
Use of 43th to 48th digits is unknow.
**/

int var_toint(char var);
double var_todouble(char var);
int var_imaginarypart_toint(char var);
double var_imaginarypart_todouble(char var);

int var_reset(char var);
void var_setvarint(char var, int n);

#endif
